<?php
/*******************************************************************************
 *                    _ _ _ _
 *                   / _ _  /
 *            _ _   / /__/ /_ _   ____ _ _   _ _ _    __
 *           / _ ` /   _ _// _ ` / __// _ ` / _ \\ \ / /
 *          / _ _// /\ \  / _ _/ \_ \/ _ _// / \/ \ ` /
 *          \_ , /_/  \_\ \_ ,  /__ /\_ , /_/      \_/
 *
 *******************************************************************************
 *    Application:  eReserv
 *    Version:      6
 *    Author:       David Di Certo
 *    Website:      http://www.cogites.com
 *    Email:        contact@cogites.com
 *    Copyright:    2013 - David Di Certo
 *******************************************************************************
 *    == FR ==      La revente et la redistribution de l'application sont
 *                  strictement interdites.
 *
 *                  Vous êtes tenu d'avoir pris connaissance des
 *                  Conditions Générales de Vente disponibles sur Cogites.com
 *                  (y compris pour la version Free).
 *
 *    == EN ==      Resale and redistribution of the application are
 *                  Strictly prohibited.
 *
 *                  You are required to have read the Terms and Conditions
 *                  available on Cogites.com (including the Free version).
 *
 *******************************************************************************
*/

class MailVo {

	public $mail_id;
	public $recorddate;
	public $enable;
	public $tabid;
	public $description;
	public $to;
	public $cc;
	public $bcc;
	public $subject;
	public $content;

    public function __construct(array $data = array())
    {
        foreach($data as $key => $value) {
			if ($key=='mail_id') $this->mail_id = $value;
			if ($key=='recorddate') $this->recorddate = $value;
			if ($key=='enable') $this->enable = $value;
			if ($key=='tabid') $this->tabid = $value;
			if ($key=='description') $this->description = $value;
			if ($key=='to') $this->to = $value;
			if ($key=='cc') $this->cc = $value;
			if ($key=='bcc') $this->bcc = $value;
			if ($key=='subject') $this->subject = $value;
			if ($key=='content') $this->content = $value;
	      }
    }

}
?>